| Python Script Engine 8.3 GL Studio Editor Python Script API

Public Types | Public Member Functions | List of all members
UserDefinedAttribute Class Reference

## Public Types
enum | AttribAvailableType_e { UNUSED_AVAILABILTY , OPTIONAL_AVAILABILTY , MANDATORY_AVAILABILTY , AVAILABLE_AVAILABILTY }

## Public Member Functions
| UserDefinedAttribute (String name, AttribAvailableType_e methodAvail=UNUSED_AVAILABILTY, AttribAvailableType_e objAvail=UNUSED_AVAILABILTY, AttribAvailableType_e propAvail=UNUSED_AVAILABILTY)
String | GetGuid ()
String | GetName ()
void | SetName (String name)
AttribAvailableType_e | GetMethodAvailability ()
void | SetMethodAvailability (AttribAvailableType_e avail)
AttribAvailableType_e | GetObjectAvailability ()
void | SetObjectAvailability (AttribAvailableType_e avail)
AttribAvailableType_e | GetPropertyAvailability ()
void | SetPropertyAvailability (AttribAvailableType_e avail)

## Detailed Description

common editor interface variable

## Member Enumeration Documentation

## ◆ AttribAvailableType_e

enum UserDefinedAttribute::AttribAvailableType_e

Enumerator
UNUSED_AVAILABILTY | Attribute is unavailable.
OPTIONAL_AVAILABILTY | Attribute is optional.
MANDATORY_AVAILABILTY | Attribute is mandatory.
AVAILABLE_AVAILABILTY | Attribute is available.

## Constructor & Destructor Documentation

## ◆ UserDefinedAttribute()

UserDefinedAttribute::UserDefinedAttribute | ( | String | name,
|  | AttribAvailableType_e | methodAvail = `UNUSED_AVAILABILTY`,
|  | AttribAvailableType_e | objAvail = `UNUSED_AVAILABILTY`,
|  | AttribAvailableType_e | propAvail = `UNUSED_AVAILABILTY`
| ) |  |

Creates a User Defined Attribute with the given information set.

Parameters

  name | Name of new user defined attribute
  methodAvail | availablity of the attribute within methods
  objAvail | availablity of the attribute within objects
  propAvail | availablity of the attribute within properties

## Member Function Documentation

## ◆ GetGuid()

String UserDefinedAttribute::GetGuid | ( |  | ) |

Retrieves the attribute's guid.

Returns
  String containing the guid of the attribute

## ◆ GetMethodAvailability()

AttribAvailableType_e UserDefinedAttribute::GetMethodAvailability | ( |  | ) |

Retrieves the attribute's method availability.

Returns
  AttribAvailableType_e containing the availability of the attribute within methods

## ◆ GetName()

String UserDefinedAttribute::GetName | ( |  | ) |

Retrieves the attribute's name.

Returns
  String containing the name of the attribute

## ◆ GetObjectAvailability()

AttribAvailableType_e UserDefinedAttribute::GetObjectAvailability | ( |  | ) |

Retrieves the attribute's object availability.

Returns
  AttribAvailableType_e containing the availability of the attribute within objects

## ◆ GetPropertyAvailability()

AttribAvailableType_e UserDefinedAttribute::GetPropertyAvailability | ( |  | ) |

Retrieves the attribute's method availability.

Returns
  AttribAvailableType_e containing the name of the attribute within properties

## ◆ SetMethodAvailability()

void UserDefinedAttribute::SetMethodAvailability | ( | AttribAvailableType_e | avail | ) |

Sets the attribute's method availability.

Parameters

  avail | New availability of the attribute within methods

## ◆ SetName()

void UserDefinedAttribute::SetName | ( | String | name | ) |

Sets the attribute's name.

Parameters

  name | New name of attribute

## ◆ SetObjectAvailability()

void UserDefinedAttribute::SetObjectAvailability | ( | AttribAvailableType_e | avail | ) |

Sets the attribute's method availability.

Parameters

  avail | New availability of the attribute within objects

## ◆ SetPropertyAvailability()

void UserDefinedAttribute::SetPropertyAvailability | ( | AttribAvailableType_e | avail | ) |

Sets the attribute's method availability.

Parameters

  avail | New availability of the attribute within properties

The documentation for this class was generated from the following file:

- UserDefinedAttribute.i